@font-face {
  font-family: "Volkhov";
  src: url("../fonts/Volkhov-Regular.woff2") format("woff2"), url("../fonts/Volkhov-Regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Rosario";
  src: url("../fonts/Rosario-BoldItalic.woff2") format("woff2"), url("../fonts/Rosario-BoldItalic.woff") format("woff");
  font-weight: 700;
  font-style: italic;
  font-display: swap;
}
@font-face {
  font-family: "Rosario";
  src: url("../fonts/Rosario-SemiBoldItalic.woff2") format("woff2"), url("../fonts/Rosario-SemiBoldItalic.woff") format("woff");
  font-weight: 600;
  font-style: italic;
  font-display: swap;
}
@font-face {
  font-family: "Rosario";
  src: url("../fonts/Rosario-Bold.woff2") format("woff2"), url("../fonts/Rosario-Bold.woff") format("woff");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  font-size: 16px;
}

body {
  font-family: "Rosario", sans-serif;
  font-weight: 700;
  font-style: italic;
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}

.container {
  max-width: 1620px;
  margin: 0 auto;
}

:root {
  --nav-height: 129px;
  --white: #FFFFFF;
  --header-bg: #000000;
}

header {
  max-width: 1620px;
  position: sticky;
  top: 0px;
  margin: 0 auto;
  z-index: 999;
  overflow-y: hidden;
}

.nav-bar {
  display: flex;
  align-items: stretch;
  max-height: var(--nav-height);
}

.logo {
  background-color: var(--white);
  max-width: 253px;
}

.logo > img {
  width: 100%;
  height: 100%;
  object-fit: fill;
}

.nav-bg {
  background-color: var(--header-bg);
  padding: 37px 26px;
  flex-grow: 1;
}

.nav {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 50px;
}

.nav-item a {
  display: inline-block;
  color: var(--white);
  font-size: 2.25rem;
  width: 100%;
  transition: all 0.5s ease;
}
.nav-item a:hover {
  transform: scale(1.1);
  text-decoration: underline;
}

.gallary {
  display: flex;
  padding: 40px 40px;
  gap: 20px;
  align-items: center;
  overflow-x: hidden;
}
.gallary :nth-child(1) {
  order: 0;
}

.gallary img {
  width: 100%;
  height: 100%;
  object-fit: fill;
  display: block;
  margin: 0 auto;
  border-radius: 30px;
}

.gallary_wrappers {
  position: relative;
  max-width: 25%;
  transform: translateX(0px);
}
.gallary_wrappers:nth-of-type(1) {
  position: relative;
  transform: translateX(-50vw);
  animation: slide-1 1s linear forwards;
  animation-delay: 2s;
}
.gallary_wrappers:nth-of-type(2) {
  position: relative;
  transform: translateX(-50vw);
  animation: slide-1 1s linear forwards;
  animation-delay: 1s;
}
.gallary_wrappers:nth-of-type(3) {
  position: relative;
  transform: translateX(50vw);
  animation: slide-2 1s linear forwards;
  animation-delay: 1s;
}
.gallary_wrappers:nth-of-type(4) {
  position: relative;
  transform: translateX(50vw);
  animation: slide-2 1s linear forwards;
  animation-delay: 2s;
}

.gallary__pairs > img {
  margin-bottom: 40px;
}

@keyframes slide-1 {
  from {
    transform: translateX(-50vw);
  }
  to {
    transform: translateX(0);
  }
}
@keyframes slide-2 {
  from {
    transform: translateX(50vw);
  }
  to {
    transform: translateX(0);
  }
}
.services {
  height: 100%;
  display: flex;
  max-width: 100vw;
}

.services_wrappers {
  max-width: 49%;
  display: flex;
  flex-wrap: wrap;
}

.services__item {
  max-width: 50%;
  max-height: 45%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  padding: 28px;
  gap: 10px;
}
.services__item img {
  display: block;
  object-fit: fill;
  max-width: 100%;
  max-height: 100%;
  border-radius: 50%;
}
.services__item p {
  font-size: 2rem;
}
.services__item:nth-of-type(1) {
  position: relative;
  animation: first-item 5s infinite linear;
}
.services__item:nth-of-type(2) {
  position: relative;
  animation: second-item 5s infinite linear;
}
.services__item:nth-of-type(3) {
  position: relative;
  animation: third-item 5s infinite linear;
}
.services__item:nth-of-type(4) {
  position: relative;
  animation: fourth-item 5s infinite linear;
}

.services__content-img {
  max-width: 50%;
  max-height: 100%;
}
.services__content-img img {
  display: block;
  width: 100%;
  object-fit: contain;
}

@keyframes first-item {
  from, to {
    transform: translate(0);
  }
  25% {
    transform: translate(100%, 0);
  }
  50% {
    transform: translate(100%, 100%);
  }
  75% {
    transform: translate(0, 100%);
  }
}
@keyframes second-item {
  from, to {
    transform: translate(0);
  }
  25% {
    transform: translate(0, 100%);
  }
  50% {
    transform: translate(-100%, 100%);
  }
  75% {
    transform: translate(-100%, 0);
  }
}
@keyframes third-item {
  from, to {
    transform: translate(0);
  }
  25% {
    transform: translate(0, -100%);
  }
  50% {
    transform: translate(100%, -100%);
  }
  75% {
    transform: translate(100%, 0);
  }
}
@keyframes fourth-item {
  from, to {
    transform: translate(0);
  }
  25% {
    transform: translate(-100%, 0);
  }
  50% {
    transform: translate(-100%, -100%);
  }
  75% {
    transform: translate(0, -100%);
  }
}
.team__title {
  padding: 2rem;
  text-align: center;
  font-size: 5rem;
}

.team__wrapper {
  max-width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 50px;
  padding: 0 3rem;
}
.team__wrapper:hover img {
  filter: brightness(30%);
}

.team__item {
  position: relative;
}
.team__item img {
  border-radius: 40px;
  display: block;
  max-width: 100%;
  max-height: 90%;
  object-fit: fill;
  transition: all 0.2s linear;
}
.team__item p {
  display: none;
  position: absolute;
  content: "";
  font-family: "Volkhov", serif;
  font-weight: 400;
  color: #FFFAFA;
  font-size: 3rem;
  background-color: rgba(163, 83, 10, 0.7);
  bottom: 0px;
  left: 0px;
  width: 100%;
  height: 23%;
  text-align: center;
  border-radius: 0 0 40px 40px;
  padding-top: 1.5rem;
  transition: all 0.3s linear;
}
.team__item:hover > img {
  filter: brightness(100%);
}
.team__item:hover > p {
  display: block;
}

.contacts {
  padding: 60px 162px 30px;
}
.contacts a {
  color: #000000;
}

.contacts__wrapper {
  display: flex;
  justify-content: center;
  gap: 34px;
  margin-bottom: 60px;
  min-height: 450px;
}

.contacts__message {
  display: flex;
  flex-direction: column;
  width: 50%;
  gap: 20px;
}

.message {
  font-size: 3rem;
  text-align: center;
  padding-right: 160px;
}

.message__form {
  height: 100%;
}
.message__form form {
  padding: 20px;
  background-color: #E5E5E5;
  height: 100%;
}
.message__form .input-wrapper {
  display: flex;
  gap: 30px;
}
.message__form input {
  display: inline-block;
  height: 60px;
  color: rgba(0, 0, 0, 0.5);
  font-size: 2rem;
  font-family: "Rosario";
  font-style: normal;
  font-weight: 700;
  width: 100%;
  margin-bottom: 30px;
  padding: 10px;
}
.message__form textarea {
  display: block;
  color: rgba(0, 0, 0, 0.5);
  font-size: 2rem;
  font-family: "Rosario";
  font-style: normal;
  font-weight: 700;
  width: 100%;
  height: 65%;
  padding: 10px;
  resize: none;
}

.contacts__map {
  width: 40%;
}
.contacts__map iframe {
  width: 100%;
  height: 100%;
}

.contacts__data {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 600;
  font-size: 1.6rem;
  gap: 2%;
}
.contacts__data h5,
.contacts__data h6,
.contacts__data span {
  font-style: normal;
}

.data__adress {
  text-align: center;
}

.data__work-hours {
  text-align: center;
}
.data__work-hours h5 {
  margin-bottom: 1rem;
  font-size: 1.8rem;
}

.data__social {
  text-align: center;
}
.data__social h6 {
  font-size: 1.6rem;
}
.data__social ul {
  display: flex;
  flex-direction: column;
}
.data__social img {
  margin-right: 10px;
}

@media screen and (max-width: 1508px) {
  .contacts {
    padding: 30px;
  }
}
@media screen and (max-width: 1429px) {
  .message {
    padding-right: 0;
    font-size: 2rem;
  }
}
@media screen and (max-width: 1250px) {
  .contacts__map iframe {
    width: 400px;
  }
}
@media screen and (max-width: 992px) {
  :root {
    --nav-height: 100px;
  }
  .nav-bg {
    padding: 30px 26px;
  }
  .nav {
    gap: 30px;
  }
  .nav-item a {
    font-size: 1.5rem;
  }
  .container {
    height: auto;
    margin-bottom: 80px;
  }
  .gallary {
    flex-wrap: wrap;
    padding: 40px 20px;
    gap: 10px;
    justify-content: space-between;
    align-items: normal;
  }
  .gallary :nth-child(1) {
    order: 1;
  }
  .gallary :nth-child(4) {
    order: 4;
  }
  .gallary_wrappers {
    max-width: 50%;
    width: 49%;
  }
  .gallary__pairs img {
    margin-bottom: 10px;
  }
  .services {
    flex-direction: column-reverse;
  }
  .services_wrappers {
    margin: 0 auto;
    max-width: 100%;
    justify-content: space-evenly;
  }
  .services__item {
    width: 49%;
  }
  .services__content-img {
    max-width: 100%;
  }
  .team__title {
    font-size: 4rem;
  }
  .team__wrapper {
    gap: 10px;
    padding: 0 1rem;
    flex-wrap: wrap;
  }
  .team__item {
    width: 49%;
  }
  .team__item img {
    width: 100%;
    height: 100%;
  }
  .team__item p {
    padding-top: 3.5rem;
  }
  .contacts {
    padding: 10px;
  }
  .contacts__wrapper {
    flex-direction: column;
  }
  .contacts__message {
    width: 100%;
  }
  .message {
    padding-right: 0;
  }
  .contacts__map {
    text-align: center;
    width: 100%;
    height: 300px;
  }
  .contacts__map iframe {
    width: 700px;
  }
  .contacts__data {
    font-size: 1rem;
    gap: 5px;
  }
  .data__work-hours h5 {
    font-size: 1.2rem;
  }
  .data__social h6 {
    font-size: 1.1rem;
  }
}
@media screen and (max-width: 768px) {
  :root {
    --nav-height: 80px;
  }
  .nav-bg {
    padding: 20px 26px;
  }
  .nav {
    gap: 10px;
  }
  .nav-item a {
    font-size: 1.5rem;
  }
  .container {
    height: auto;
    margin-bottom: 80px;
  }
  .gallary {
    flex-direction: column;
    align-items: normal;
  }
  .gallary :nth-child(1) {
    order: 0;
  }
  .gallary_wrappers {
    max-width: 120%;
    width: 100%;
  }
  .gallary__pairs {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
  }
  .gallary__pairs img {
    margin-bottom: 0;
  }
  .services_wrappers {
    max-width: 100%;
  }
  .services__content-img {
    display: none;
  }
  .team__title {
    font-size: 3rem;
  }
  .team__wrapper {
    flex-direction: column;
    gap: 20px;
    align-items: normal;
  }
  .team__wrapper:hover img {
    border-radius: 60px;
  }
  .team__item {
    width: 100%;
  }
  .team__item img {
    width: 110%;
  }
  .team__item p {
    border-radius: 0 0 60px 60px;
    padding-top: 5.5rem;
  }
  .contacts {
    padding: 10px;
  }
  .contacts__wrapper {
    flex-direction: column-reverse;
  }
  .message {
    padding-right: 0;
  }
  .contacts__map {
    text-align: center;
  }
  .contacts__map iframe {
    width: 400px;
  }
  .contacts__data {
    flex-direction: column;
    gap: 20px;
  }
}
@media screen and (max-width: 560px) {
  .services__item {
    padding: 10px;
  }
  .services__item p {
    font-size: 1.5rem;
  }
}